<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/ll_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/ll_practice_set"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_56"
            android:layout_marginLeft="14dp"
            android:layout_marginTop="14dp"
            android:layout_marginRight="14dp"
            android:background="@drawable/bg_white_10dp"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="14dp"
                android:text="我的陪练课"
                android:textColor="@color/black_333"
                android:textSize="@dimen/sp_18"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_time"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:background="@drawable/shape_ecfffc_6dp"
                android:drawableRight="@drawable/icon_arrow_right_small_green"
                android:drawablePadding="6dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:textColor="@color/color_2dc7aa"
                android:textSize="@dimen/sp_12"
                android:visibility="visible"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="2021年9月" />

            <TextView
                android:id="@+id/tv_setting"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="14dp"
                android:drawableRight="@drawable/icon_arrow_right_small_green"
                android:drawablePadding="5dp"
                android:gravity="center"
                android:text="课程设置"
                android:textStyle="bold"
                android:textColor="@color/color_2dc7aa"
                android:textSize="@dimen/sp_16"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refreshLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>
    </LinearLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_empty_flag"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible">


        <ImageView
            android:id="@+id/im_empty_logo"
            android:layout_width="@dimen/dp_260"
            android:layout_height="@dimen/dp_230"
            android:background="@drawable/icon_empty_mine_course"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_empty_hint"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:gravity="center"
            android:lineSpacingExtra="4dp"
            android:text="您还没有完成达人认证，认证后才可创建直播课哦~"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_15"
            app:layout_constraintLeft_toLeftOf="@+id/im_empty_logo"
            app:layout_constraintRight_toRightOf="@+id/im_empty_logo"
            app:layout_constraintTop_toBottomOf="@+id/im_empty_logo" />

        <TextView
            android:id="@+id/tv_open"
            android:layout_width="@dimen/dp_196"
            android:layout_height="@dimen/dp_44"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_26"
            android:background="@drawable/shape_course_status_ing"
            android:gravity="center"
            android:text="去认证"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_14"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_empty_hint" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</RelativeLayout>